CTFCONVERT(1)

NAME
ctfconvert - convert debug data to CTF data

SYNOPSIS
ctfconvert [-gis] -l label -L labelenv [-o outfile] object_file

DESCRIPTION
The ctfconvert utility converts debug information from a binary file to CTF data and replaces the debug section of that file with a CTF section called SUNW_ctf. This new section is added to the input file, unless the -o option is present. You can also opt to keep the original debugging section with the -g option.

The following options are available:

-l label
    Sets the label as label.

-L labelenv
    Instructs ctfconvert to read the label from the environment variable labelenv.

-g  Don't delete the original debugging section.

-i  Ignore object files built from other languages than C.

-s  Use the .dynsym ELF section instead of the .symtab ELF section.

-o outfile
    Write the output to file in outfile.

EXIT STATUS

SEE ALSO
ctfmerge(1), ctfdump(1)

HISTORY
The ctfconvert utility first appeared in FreeBSD 7.0.

AUTHORS
The CTF utilities came from OpenSolaris.